Extending Qt Creator Manual | TaskHub

Extending Qt Creator Manual 4.5.2

# TaskHub Class

(ProjectExplorer::TaskHub)

- List of all members, including inherited members

## Public Slots

void | addTask(ProjectExplorer::Task task)
void | clearTasks(Core::Id categoryId = Core::Id())
void | removeTask(const ProjectExplorer::Task &task)

## Signals

void | categoryAdded(Core::Id categoryId, const QString &displayName, bool visible)
void | categoryVisibilityChanged(Core::Id categoryId, bool visible)
void | openTask(unsigned int id)
void | popupRequested(int)
void | showTask(unsigned int id)
void | taskAdded(const ProjectExplorer::Task &task)
void | taskFileNameUpdated(unsigned int id, const QString &fileName)
void | taskLineNumberUpdated(unsigned int id, int line)
void | taskRemoved(const ProjectExplorer::Task &task)
void | tasksCleared(Core::Id categoryId)

## Static Public Members

void | addCategory(Core::Id categoryId, const QString &displayName, bool visible = true)
void | addTask(Task::TaskType type, const QString &description, Core::Id category, const Utils::FileName &file = Utils::FileName(), int line = -1)
TaskHub * | instance()
void | requestPopup()
void | setCategoryVisibility(Core::Id categoryId, bool visible)
void | showTaskInEditor(unsigned int id)
void | taskMarkClicked(unsigned int id)
void | updateTaskFileName(unsigned int id, const QString &fileName)
void | updateTaskLineNumber(unsigned int id, int line)

## Member Function Documentation

### `[static]` void TaskHub::addCategory(Core::Id categoryId, const QString &displayName, bool visible = true)

### `[static]` void TaskHub::addTask(Task::TaskType type, const QString &description, Core::Id category, const Utils::FileName &file = Utils::FileName(), int line = -1)

### `[static slot]` void TaskHub::addTask(ProjectExplorer::Task task)

### `[signal]` void TaskHub::categoryAdded(Core::Id categoryId, const QString &displayName, bool visible)

### `[signal]` void TaskHub::categoryVisibilityChanged(Core::Id categoryId, bool visible)

### `[static slot]` void TaskHub::clearTasks(Core::Id categoryId = Core::Id())

### `[static]` TaskHub *TaskHub::instance()

### `[signal]` void TaskHub::openTask(unsigned int id)

### `[signal]` void TaskHub::popupRequested(int)

### `[static slot]` void TaskHub::removeTask(const ProjectExplorer::Task &task)

### `[static]` void TaskHub::requestPopup()

### `[static]` void TaskHub::setCategoryVisibility(Core::Id categoryId, bool visible)

### `[signal]` void TaskHub::showTask(unsigned int id)

### `[static]` void TaskHub::showTaskInEditor(unsigned int id)

### `[signal]` void TaskHub::taskAdded(const ProjectExplorer::Task &task)

### `[signal]` void TaskHub::taskFileNameUpdated(unsigned int id, const QString &fileName)

### `[signal]` void TaskHub::taskLineNumberUpdated(unsigned int id, int line)

### `[static]` void TaskHub::taskMarkClicked(unsigned int id)

### `[signal]` void TaskHub::taskRemoved(const ProjectExplorer::Task &task)

### `[signal]` void TaskHub::tasksCleared(Core::Id categoryId)

### `[static]` void TaskHub::updateTaskFileName(unsigned int id, const QString &fileName)

### `[static]` void TaskHub::updateTaskLineNumber(unsigned int id, int line)